Vulnonym.org

CVE-2008-0166 - Unsmitten Annex

Description

OpenSSL 0.9.8c-1 up to versions before 0.9.8g-9 on Debian-based operating systems uses a random number generator that generates predictable numbers which makes it easier for remote attackers to conduct brute force guessing attacks against cryptographic keys.

Reference

http://www.debian.org/security/2008/dsa-1571 http://www.ubuntu.com/usn/usn-612-1 http://www.ubuntu.com/usn/usn-612-2 http://www.securityfocus.com/bid/29179 http://metasploit.com/users/hdm/tools/debian-openssl/ http://www.debian.org/security/2008/dsa-1576 http://www.ubuntu.com/usn/usn-612-3 http://www.ubuntu.com/usn/usn-612-4 http://www.ubuntu.com/usn/usn-612-7 http://www.kb.cert.org/vuls/id/925211 http://www.securitytracker.com/id?1020017 http://secunia.com/advisories/30220 http://secunia.com/advisories/30221 http://secunia.com/advisories/30231 http://secunia.com/advisories/30239 http://secunia.com/advisories/30249 http://secunia.com/advisories/30136 http://sourceforge.net/mailarchive/forum.php?thread_name=48367252.7070603%40shemesh.biz&forum_name=rsyncrypto-devel http://www.us-cert.gov/cas/techalerts/TA08-137A.html https://exchange.xforce.ibmcloud.com/vulnerabilities/42375 https://www.exploit-db.com/exploits/5720 https://www.exploit-db.com/exploits/5632 https://www.exploit-db.com/exploits/5622 http://www.securityfocus.com/archive/1/492112/100/0/threaded